Subject: Re: [RFC/PATCH 1/4] test-lib: add test_dir_is_empty()

From: David Kastrup <[email-masked]>
Date: Tue, 25 Mar 2014 22:06:36 +0100

Junio C Hamano <[email-masked]> writes:

> Jens Lehmann <[email-masked]> writes:
>
>> For the upcoming submodule test framework we often need to assert that an
>> empty directory exists in the work tree. Add the test_dir_is_empty()
>> function which asserts that the given argument is an empty directory.
>>
>> Signed-off-by: Jens Lehmann <[email-masked]>
>> ---
>>
>> I believe this one is pretty straightforward (unless I missed that this
>> functionality already exists someplace I forgot to look ;-).
>
> I am not very thrilled to see that it depends on "." and ".." to
> always exist, which may be true for all POSIX filesystems, but
> still...

Not even there, though few people will likely use / as their work
tree...

-- 
David Kastrup